#ifndef FONTS_HPP_INCLUDED
#define FONTS_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/Map.hpp"

namespace Internal
{
    class Fonts : public Object
    {
        public:
            Fonts(const void* Obj);

            Fonts() = default;
            Fonts(Fonts&& Obj) = default;
            Fonts(const Fonts& Obj) = default;
            Fonts& operator=(Fonts&& Obj) = default;
            Fonts& operator=(const Fonts& Obj) = default;

            static Class GetClass();

            Map GetFontMap() const;
    };
}

#endif // FONTS_HPP_INCLUDED
